{% extends "base.html" %}

{% block links %}
{{ super() }}
{% endblock %}


{% block title %}
Liste des missions
{% endblock %}




{% block header %}
{% include  "sub_templates/header.html" %}
{% endblock %}



{% block main %}

<h1 class="text-2xl font-semibold text-center mb-10">Liste des missions</h1>


{% if mission_requests | length == 0 %}
<em class="text-sm flex justify-center">Aucune demande de mission n'a été faite pour le moment</em>
{% else %}



<div class="flex gap-5 w-full h-12 mb-10">
    <div class="flex flex-col">
        <label class="font-medium mb-2 text-gray-900 text-sm">Recherche</label>
        <input id="search" oninput="refresh()" type="text" required placeholder="Effectuez votre recherche ici..."
            class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2 w-64">
    </div>


    <div class="flex flex-col">
        <label class="font-medium mb-2 text-gray-900 text-sm">Filtrer par promotion</label>
        <select placeholder="Effectuez votre recherche ici..."
            onchange="document.location.href = `/student/search_by_promo/${this.value}`"
            class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2 w-64">

            <option>Toutes</option>
            {% for promo in get_all_promo() %}
            <option value="{{ promo.id }}">{{ promo.name }} Géré par {{ get_promo_manager_by_id(promo.id) }}
            </option>
            {% endfor %}

        </select>
    </div>


    <div class="flex flex-col ml-auto">
        <label class="font-medium mb-2 text-gray-900 text-sm">Trier par</label>
        <div id="orders" class="flex whitespace-nowrap gap-2">
            <button onclick="order(this)" value="1"
                class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2">Etudiant</button>
            <button onclick="order(this)" value="2"
                class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2">Promotion</button>
            <button onclick="order(this)" value="3"
                class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2">Type
                de contrat</button>
            <button onclick="order(this)" value="4"
                class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2">Date
                de création</button>

        </div>
    </div>
</div>







<table class="w-full rounded-lg overflow-hidden border border-collapse">
    <tbody>
        <tr class="bg-gray-50 text-gray-900 text-sm">
            <th class="bg-[#ececec] font-semibold px-2.5 py-2 text-left overflow-hidden">Promotion</th>
            <th class="bg-[#ececec] font-semibold px-2.5 py-2 text-left overflow-hidden">Etudiant</th>
            <th class="bg-[#ececec] font-semibold px-2.5 py-2 text-left overflow-hidden">Type de contrat</th>
            <th class="bg-[#ececec] font-semibold px-2.5 py-2 text-left overflow-hidden">Mission</th>
            <!-- <th class="bg-[#ececec] font-semibold px-2.5 py-2 text-left overflow-hidden">Nombre de semaines</th> -->
            <th class="bg-[#ececec] font-semibold px-2.5 py-2 text-left overflow-hidden">Ville et code postal</th>
            <!-- <th class="bg-[#ececec] font-semibold px-2.5 py-2 text-left overflow-hidden">Status</th> -->
            <th class="bg-[#ececec] font-semibold px-2.5 py-2 text-left overflow-hidden">Professeur référent</th>
            <th class="bg-[#ececec] font-semibold px-2.5 py-2 text-left overflow-hidden">Action</th>
        </tr>





        {% for request in mission_requests %}
        {% if request.accepted %}
            <tr class="bg-gray-50 text-gray-900 text-sm">
                <td name="2" class="px-2.5 py-2 overflow-hidden">{{ request.user.promo.name }}</td>
                <td name="1" class="px-2.5 py-2 overflow-hidden">
                    <a href="{{ url_for('user_profil', id=request.user.id)}}" class="text-[var(--blue)] text-sm underline">{{ request.user.first_name }} {{ request.user.last_name }}</a>
                </td>
                <td name="3" class="px-2.5 py-2 overflow-hidden">{{ request.offre_type.name }}</td>
                <td name="3" class="px-2.5 py-2 overflow-hidden">{{ request.mission.resumerMission }}</td>
                <!-- <td class="px-2.5 py-2 overflow-hidden">{{ request.weeks_number }}</td> -->
                <td class="px-2.5 py-2 overflow-hidden">{{ request.company.cpostal }} - {{ request.company.ville }}</td>
                <!-- <td class="px-2.5 py-2 overflow-hidden">
                    {% if request.accepted %}
                        <span style="color: green">Acceptée</span>
                    {% else %}
                        <span style="color: orange">En cours</span>
                    {% endif %}
                </td> -->
                <td name="4" class="px-2.5 py-2 overflow-hidden">
                    {% if request.profReferant_id == None %}
                        <span style="color: red">Pas de référent</span>
                    {% elif request.profReferant_id == current_user.id %}
                        <span style="color: rgb(0, 187, 255)">Vous</span>
                    {% else %}
                        <span style="color: rgb(24, 236, 24)">Référent inscrit</span>
                    {% endif %}
                </td>
                <td class="px-2.5 py-2 overflow-hidden">
                    <a href="{{ url_for('one_request_mission_confirmation', id=request.id) }}" class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-1.5 w-fit h-fit" >
                        Voir plus de détails
                    </a>
                </td>
            </tr>
        {% endif %}
        {% endfor %}


    </tbody>
</table>

{% endif %}

{% endblock %}

{% block footer %}
{% include  "sub_templates/footer.html" %}
{% endblock footer%}


{% block script %}
{{ super() }}
{% endblock %}